Bug 1418683 - [RFE][TestOnly]EMC ScaleIO support in RHV
Summary: [RFE][TestOnly]EMC ScaleIO support in RHV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.6.0
Hardware: All
OS: Linux
high
low
Target Milestone: ovirt-4.1.4
: ---
Assignee: Yaniv Lavi
QA Contact: Gil Klein
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-02 14:11 UTC by Gajanan
Modified: 2020-08-03 15:27 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-27 18:02:44 UTC
oVirt Team: External
Target Upstream Version:
lsvaty: testing_plan_complete-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2900051 0 None None None 2017-02-02 14:15:34 UTC
Red Hat Product Errata RHEA-2017:1814 0 normal SHIPPED_LIVE Red Hat Virtualization Manager (ovirt-engine) 4.1.4 2017-07-27 21:59:14 UTC

Description Gajanan 2017-02-02 14:11:40 UTC
======================== RFE Request ========================

1. Proposed title of this feature request

EMC ScaleIO support in RHEV


3. What is the nature and description of the request?

We were able to get this working in RHEV 3.6 a roundabout way by installing ScaleIO client on a RHEV host, then making the ScaleIO device available to multipathd, then the device appears in the RHEV GUI as a Fibre Channel multipath device.  This seems to work fine, but it would be nice to not have to use this workaround as multipath isn't required for ScaleIO devices.


4. Why does the customer need this? (List the business requirements here)

We are looking at using Dell-EMC ScaleIO as a hyperconvergence solution. This is a software defined storage solution that is used as part of Dell-EMC's Vxrack integrated system. It is supported in VMware and Hyper-V, but we would like to be able to use in with RHEV in a supported manner.

5. How would the customer like to achieve this? (List the functional requirements here)

We have been successful in presenting a ScaleIO device to our RHEV environment. RHEV-M sees it as an FC device and it seems to be functioning as expected.  We would need validation from RedHat support that it is behaving as expected for an FC device.

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.

7. Is there already an existing RFE upstream or in Red Hat Bugzilla?

No

8. Does the customer have any specific timeline dependencies and which release would they like to target ?

No

9. Is the sales team involved in this request and do they have any additional input?

10. List any affected packages or components.

11. Would the customer be able to assist in testing this functionality if implemented?

Yes

Comment 2 Yaniv Lavi 2017-06-15 08:52:02 UTC
This testing is the works. We will update once EMC confirms they fully support this path.

Comment 4 errata-xmlrpc 2017-07-27 18:02:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1814


Note You need to log in before you can comment on or make changes to this bug.